Upstream information

CVE-2009-0922 at MITRE

Description

PostgreSQL before 8.3.7, 8.2.13, 8.1.17, 8.0.21, and 7.4.25 allows remote authenticated users to cause a denial of service (stack consumption and crash) by triggering a failure in the conversion of a localized error message to a client-specified encoding, as demonstrated using mismatched encoding conversion requests.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 486347 [RESOLVED / FIXED], 603967

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • postgresql >= 8.3.7-0.1.1
  • postgresql-contrib >= 8.3.7-0.1.1
  • postgresql-docs >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
  • postgresql-libs-32bit >= 8.3.7-0.1.1
  • postgresql-libs-x86 >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.7-0.1.1
Patchnames:
slessp0-postgresql
SUSE Linux Enterprise Server for SAP Applications 11
  • postgresql >= 8.3.7-0.1.1
  • postgresql-contrib >= 8.3.7-0.1.1
  • postgresql-docs >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
  • postgresql-libs-32bit >= 8.3.7-0.1.1
  • postgresql-libs-x86 >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.7-0.1.1
Patchnames:
slessp0-postgresql
SUSE Linux Enterprise SDK 10 SP2
  • postgresql >= 8.1.17-0.3
  • postgresql-contrib >= 8.1.17-0.3
  • postgresql-devel >= 8.1.17-0.3
  • postgresql-docs >= 8.1.17-0.3
  • postgresql-server >= 8.1.17-0.3
sled10-sp2.x86
sles10-sp2.x86
sle10-sp2-sdk.x86-64
sle10-sp2-sdk.s390x
sles10-sp2.ppc
sles10-sp2.x86-64
sles10-sp2.s390x
sle10-sp2-sdk.x86
sled10-sp2.x86-64
sle10-sp2-sdk.ia64
sle10-sp2-sdk.ppc
sles10-sp2.ia64
ZYPP Patch Nr: 6114
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • postgresql >= 7.4.25-0.1
  • postgresql-contrib >= 7.4.25-0.1
  • postgresql-devel >= 7.4.25-0.1
  • postgresql-docs >= 7.4.25-0.1
  • postgresql-libs >= 7.4.25-0.1
  • postgresql-server >= 7.4.25-0.1
core9.s390x
sles9-nlpos.x86
sles9-nld.x86
core9.x86
core9.s390
sles9-oes.x86
core9.ia64
sles9-nld.x86-64
core9.x86-64
core9.ppc
YOU Patch Nr: 12383
Novell Linux Desktop 9 for x86_64
  • postgresql >= 7.4.25-0.1
  • postgresql-contrib >= 7.4.25-0.1
  • postgresql-devel >= 7.4.25-0.1
  • postgresql-docs >= 7.4.25-0.1
  • postgresql-libs >= 7.4.25-0.1
  • postgresql-libs-32bit >= 9-200903241522
  • postgresql-server >= 7.4.25-0.1
core9.s390x
sles9-nlpos.x86
sles9-nld.x86
core9.x86
core9.s390
sles9-oes.x86
core9.ia64
sles9-nld.x86-64
core9.x86-64
core9.ppc
YOU Patch Nr: 12383
openSUSE 11.0
  • postgresql-debuginfo >= 8.3.7-0.1
  • postgresql-debugsource >= 8.3.7-0.1
openSUSE 11.0
  • postgresql >= 8.3.7-0.1
  • postgresql-contrib >= 8.3.7-0.1
  • postgresql-devel >= 8.3.7-0.1
  • postgresql-docs >= 8.3.7-0.1
  • postgresql-libs >= 8.3.7-0.1
  • postgresql-libs-32bit >= 8.3.7-0.1
  • postgresql-libs-64bit >= 8.3.7-0.1
  • postgresql-server >= 8.3.7-0.1
openSUSE 11.1
  • postgresql-debuginfo >= 8.3.7-0.1.1
  • postgresql-debugsource >= 8.3.7-0.1.1
openSUSE 11.1
  • postgresql >= 8.3.7-0.1.1
  • postgresql-contrib >= 8.3.7-0.1.1
  • postgresql-devel >= 8.3.7-0.1.1
  • postgresql-docs >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
  • postgresql-libs-32bit >= 8.3.7-0.1.1
  • postgresql-libs-64bit >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.7-0.1.1
SUSE Linux Enterprise SDK 11 GA
  • postgresql-devel >= 8.3.7-0.1.1
sled11.x86-64
sle11-sdk.ppc
sles11.ppc
sle11-debuginfo.s390x
sled11.x86
sles11.x86
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86
sle11-sdk.x86-64
sle11-sdk.s390x
sles11.s390x
sle11-debuginfo.x86-64
sles11.ia64
sle11-sdk.ia64
SAT Patch Nr: 674
SUSE Linux Enterprise Desktop 11 GA
  • postgresql >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
sled11.x86-64
sle11-sdk.ppc
sles11.ppc
sle11-debuginfo.s390x
sled11.x86
sles11.x86
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86
sle11-sdk.x86-64
sle11-sdk.s390x
sles11.s390x
sle11-debuginfo.x86-64
sles11.ia64
sle11-sdk.ia64
SAT Patch Nr: 674
SUSE Linux Enterprise Desktop 11 GA
  • postgresql >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
  • postgresql-libs-32bit >= 8.3.7-0.1.1
sled11.x86-64
sle11-sdk.ppc
sles11.ppc
sle11-debuginfo.s390x
sled11.x86
sles11.x86
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86
sle11-sdk.x86-64
sle11-sdk.s390x
sles11.s390x
sle11-debuginfo.x86-64
sles11.ia64
sle11-sdk.ia64
SAT Patch Nr: 674
SUSE Linux Enterprise Server 11 GA
  • postgresql >= 8.3.7-0.1.1
  • postgresql-contrib >= 8.3.7-0.1.1
  • postgresql-docs >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.7-0.1.1
sled11.x86-64
sle11-sdk.ppc
sles11.ppc
sle11-debuginfo.s390x
sled11.x86
sles11.x86
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86
sle11-sdk.x86-64
sle11-sdk.s390x
sles11.s390x
sle11-debuginfo.x86-64
sles11.ia64
sle11-sdk.ia64
SAT Patch Nr: 674
SUSE Linux Enterprise Server 11 GA
  • postgresql >= 8.3.7-0.1.1
  • postgresql-contrib >= 8.3.7-0.1.1
  • postgresql-docs >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
  • postgresql-libs-x86 >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.7-0.1.1
sled11.x86-64
sle11-sdk.ppc
sles11.ppc
sle11-debuginfo.s390x
sled11.x86
sles11.x86
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86
sle11-sdk.x86-64
sle11-sdk.s390x
sles11.s390x
sle11-debuginfo.x86-64
sles11.ia64
sle11-sdk.ia64
SAT Patch Nr: 674
SUSE Linux Enterprise Server 11 GA
  • postgresql >= 8.3.7-0.1.1
  • postgresql-contrib >= 8.3.7-0.1.1
  • postgresql-docs >= 8.3.7-0.1.1
  • postgresql-libs >= 8.3.7-0.1.1
  • postgresql-libs-32bit >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.7-0.1.1
sled11.x86-64
sle11-sdk.ppc
sles11.ppc
sle11-debuginfo.s390x
sled11.x86
sles11.x86
sle11-debuginfo.ppc
sle11-sdk.x86
sles11.x86-64
sle11-debuginfo.ia64
sle11-debuginfo.x86
sle11-sdk.x86-64
sle11-sdk.s390x
sles11.s390x
sle11-debuginfo.x86-64
sles11.ia64
sle11-sdk.ia64
SAT Patch Nr: 674


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA postgresql Released
SUSE Linux Enterprise Desktop 11 SP1 postgresql Released
SUSE Linux Enterprise Desktop 11 SP2 postgresql Released
SUSE Linux Enterprise Desktop 11 SP3 postgresql Released
SUSE Linux Enterprise Desktop 11 SP4 postgresql Released
SUSE Linux Enterprise Server 11 SP1 postgresql Released
SUSE Linux Enterprise Server 11 SP1 LTSS postgresql Released
SUSE Linux Enterprise Server 11 SP2 postgresql Released
SUSE Linux Enterprise Server 11 SP2 LTSS postgresql Released
SUSE Linux Enterprise Server 11 SP3 postgresql Released
SUSE Linux Enterprise Server 11 SP3 LTSS postgresql Released
SUSE Linux Enterprise Server 11 SP4 postgresql Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 postgresql Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 postgresql Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 postgresql Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 postgresql Released
SUSE Linux Enterprise Server for VMWare 11 SP2 postgresql Released
SUSE Linux Enterprise Server for VMWare 11 SP3 postgresql Released